package jogo;

public class Navio extends Personagem {

    private boolean direcao; // true direita, false esquerda

    public Navio(int x, int y, Tela tela, Cenario cen) {
        super(x, y, tela, "navio", cen);
        this.direcao = true;
    }

    @Override
    public void atualizar() {
        this.posY = posY + 34;
        int matrixY = (int) this.posY / 34;
        if (matrixY > 19) {
            matrixY = 19;
        }

        //verifica a proxima posição para continuar andando ou inverte a operação
        if (this.direcao == true) {
            int matrizX = (int) (this.posX + 34) / 34;
            if (this.cen.getCenario()[matrixY][matrizX] == 0) {
                this.posX = matrizX * 34;
            } else {
                direcao = !direcao;
            }
        }
        if (this.direcao == false) {
            int matrizX = (int) (this.posX - 34) / 34;
            if (this.cen.getCenario()[matrixY][matrizX] == 0) {
                this.posX = matrizX * 34;
            } else {
                direcao = !direcao;
            }
        }
        if (posY > principal.getHeight()) {
            this.vida = false;
        }
    }
}
