package jogo;

import java.awt.Graphics;

public class Tiro extends Personagem {
    
    public Tiro(int x, int y, Tela tela, Cenario cen) {
        super(x, y, tela, "tiro", cen);
    }
    
    @Override
    public void atualizar() {
        int mX = (int) this.posX / 34;
        int mY = (int) this.posY / 34;
        if (mX < 0) {
            mX = 0;
        }
        if (mY < 0) {
            mY = 0;
        }
        //verifica se o proximo lugar é 1 ou 0 e mata
        if (cen.getCenario()[mY][mX] != 0) {
            this.vida = false;
        } else {
            this.posY = posY - 34;
        }
    }
    
    @Override
    public void desenhar(Graphics g) {
        if (vida) {
            g.drawImage(this.icone, this.posX, this.posY, tamanho, tamanho, this.principal);
        }
    }
    
   
}
